import { CoreClient } from "./client/client.js";
import { Environment } from "./constants/Environment.js";

// Global Command Imports
import About from "./commands/about.js";
import AllBalance from "./commands/allbalance.js";
import Balance from "./commands/balance.js";
import Daily from "./commands/daily.js";
import Drop from "./commands/drop.js";
import Gdrivesync from "./commands/gdrivesync.js";
import Give from "./commands/give.js";
import Inventory from "./commands/inventory.js";
import Resync from "./commands/resync.js";
import Sacrifice from "./commands/sacrifice.js";
import Series from "./commands/series.js";
import Trade from "./commands/trade.js";
import View from "./commands/view.js";

// Test Command Imports
import Dropnumber from "./commands/stage/dropnumber.js";
import Droprarity from "./commands/stage/droprarity.js";

// Button Event Imports
import Claim from "./buttonEvents/Claim.js";
import InventoryButtonEvent from "./buttonEvents/Inventory.js";
import Reroll from "./buttonEvents/Reroll.js";
import SacrificeButtonEvent from "./buttonEvents/Sacrifice.js";
import SeriesEvent from "./buttonEvents/Series.js";
import TradeButtonEvent from "./buttonEvents/Trade.js";
import ViewButtonEvent from "./buttonEvents/View.js";

export default class Registry {
    public static RegisterCommands() {
        // Global Commands
        CoreClient.RegisterCommand("about", new About());
        CoreClient.RegisterCommand("allbalance", new AllBalance());
        CoreClient.RegisterCommand("balance", new Balance());
        CoreClient.RegisterCommand("daily", new Daily());
        CoreClient.RegisterCommand("drop", new Drop());
        CoreClient.RegisterCommand("gdrivesync", new Gdrivesync());
        CoreClient.RegisterCommand("give", new Give());
        CoreClient.RegisterCommand("inventory", new Inventory());
        CoreClient.RegisterCommand("resync", new Resync());
        CoreClient.RegisterCommand("sacrifice", new Sacrifice());
        CoreClient.RegisterCommand("series", new Series());
        CoreClient.RegisterCommand("trade", new Trade());
        CoreClient.RegisterCommand("view", new View());

        // Test Commands
        CoreClient.RegisterCommand("dropnumber", new Dropnumber(), Environment.Test);
        CoreClient.RegisterCommand("droprarity", new Droprarity(), Environment.Test);
    }

    public static RegisterButtonEvents() {
        CoreClient.RegisterButtonEvent("claim", new Claim());
        CoreClient.RegisterButtonEvent("inventory", new InventoryButtonEvent());
        CoreClient.RegisterButtonEvent("reroll", new Reroll());
        CoreClient.RegisterButtonEvent("sacrifice", new SacrificeButtonEvent());
        CoreClient.RegisterButtonEvent("series", new SeriesEvent());
        CoreClient.RegisterButtonEvent("trade", new TradeButtonEvent());
        CoreClient.RegisterButtonEvent("view", new ViewButtonEvent());
    }
}